Search for rewards
curl --request GET \
--url https://dev.sbx.imprint.co/v2/rewards \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://dev.sbx.imprint.co/v2/rewards"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://dev.sbx.imprint.co/v2/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "2EE24580-B97B-4949-A65C-929CCB9B9B8D",
"customer_id": "9B5E1EE0-2E1C-46E7-81B9-3C3917204BE4",
"amount": 123,
"type": "TRANSACTIONAL",
"status": "PENDING",
"created_at": "2025-02-13T19:08:07.000Z",
"transaction_event_id": "E777214A-2D11-4CAD-9E8F-E1BD71D9FE67",
"currency": "POINTS",
"updated_at": "2025-02-13T19:08:07.000Z",
"metadata": {
"platform_version": "2.1.0"
}
}
],
"has_more": true,
"total": 123
}Rewards
Search for rewards
GET
/
v2
/
rewards
Search for rewards
Authorizations
basicAuthbearerAuth
Basic HTTP authentication. Allowed headers-- Authorization: Basic <base64(api_key_id:api_key_secret)>
Query Parameters
Reward associated to the transaction event
Example:
"40fa8333-f809-4861-9839-45f41d50077d"
Limits the number of returned results
Required range:
x >= 1A cursor for use in pagination. An id that defines your place in the list.
⌘I